Events
2 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/eventsList all Events
Returns a list of Events from the past 30 days. The Events are sorted with the most recently created appearing first.
Query parameters
delivery_statusstring (succeeded | failed | pending | undelivered)optionalFilters events by their webhook delivery status. -
succeeded— all endpoints received a 2xx response -failed— at least one endpoint exhausted retries without a successful delivery -pending— event is still queued for delivery (fan-out not yet complete) -undelivered— no delivery was attempted because the endpoint wasinactiveordisabledWhen omitted, all events are returned regardless of delivery status.created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive). Default is 30 days in the past.created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive). Default is current date.typesarray of string (account.updated | charge.captured | charge.expired | charge.failed | charge.succeeded | charge.pending | charge.refunded | charge.refund.pending | …)optionalAn array of up to 20 strings containing specific event names. The list will be filtered to include only events with a matching event property.
object_idstringoptionalId of related resource. The list will be filtered to include events that are related to the resource with this id.
include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of Eventrequired
/v1/events/{id}Get an Event
Retrieves the details of an Event.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200Event
account_idstringrequiredThe id of the account that originated the event.
created_atstring date-timerequiredTime at which the object was created.
dataobjectrequiredObject containing the API resource relevant to the event. For example, a
charge.succeededevent will have a full charge object as the value.idstringrequiredUnique identifier for the object.
typestring (account.updated | charge.captured | charge.expired | charge.failed | charge.succeeded | charge.pending | charge.refunded | charge.refund.pending | …)requiredDescription of the event (e.g.
charge.succeededorcharge.refunded).account.updatedOccurs whenever an account status or property has changed. This includes capability statuses.charge.capturedOccurs whenever a previously uncaptured charge is captured.charge.expiredOccurs whenever an uncaptured charge expires.charge.failedOccurs whenever a failed charge attempt occurs.charge.succeededOccurs whenever a new charge is created and is successful.charge.pendingOccurs whenever a pending charge is created.charge.refundedoccurs whenever a charge is refunded, including partial refundscharge.refund.pendingOccurs whenever a refund is pending, on a card present payment method.charge.refund.updatedOccurs whenever a refund is updated, on selected payment methods.charge.updatedOccurs when a charge description is updatedcustomer.createdOccurs whenever a new customer is created.customer.deletedOccurs whenever a customer is deleted.customer.updatedOccurs whenever any property of a customer changes.payment_intent.canceledOccurs when a PaymentIntent is canceled.payment_intent.createdOccurs when a new PaymentIntent is created.payment_intent.payment_failedOccurs when a PaymentIntent has failed the attempt to create a payment method or a payment.payment_intent.processingOccurs when a PaymentIntent has started processing.payment_intent.requires_actionOccurs when a PaymentIntent transitions to requires_action statepayment_intent.succeededOccurs when a PaymentIntent has successfully completed payment.payment_method.attachedOccurs whenever a new payment method is attached to a customer.payment_method.detachedOccurs whenever a payment method is detached from a customer.report_run.succeededOccurs whenever a report run has successfully been uploaded to S3 and our File system.report_run.failedOccurs whenever a report run has failed to be uploaded to S3 or our File system.batch.openedOccurs when a new Batch is opened for a merchant participating in manual batch close.batch.closingOccurs when a close has been accepted for the batch; submission to the processor is in flight.batch.closedOccurs when every underlying settlement in the batch has been submitted to the processor.batch.close_failedOccurs when at least one settlement in the batch exhausted its retries. Partners may re-issue a close call to retry.updated_atstring date-timerequiredTime at which the object was last updated.
404
